# Function circleAPI

- circleAPI<K1>(...args): ToExtPropKey<K1> extends "Mainnet" | "Testnet"
  ? ObjectFromMappingEntries<readonly [readonly ["Mainnet", "https://iris-api.circle.com/v1/attestations"], readonly ["Testnet", "https://iris-api-sandbox.circle.com/v1/attestations"]], 1>[Object] extends Mapped
  ? any[any]
  : ObjectFromMappingEntries<readonly [readonly ["Mainnet", "https://iris-api.circle.com/v1/attestations"], readonly ["Testnet", "https://iris-api-sandbox.circle.com/v1/attestations"]], 1>[Object]
  : never

- #### Type Parameters

  - #### K1 extends "Mainnet" | "Testnet"

  #### Parameters

  - ##### `Rest` ...args: [K1]

  #### Returns ToExtPropKey<K1> extends "Mainnet" | "Testnet"
  ? ObjectFromMappingEntries<readonly [readonly ["Mainnet", "https://iris-api.circle.com/v1/attestations"], readonly ["Testnet", "https://iris-api-sandbox.circle.com/v1/attestations"]], 1>[Object] extends Mapped
  ? any[any]
  : ObjectFromMappingEntries<readonly [readonly ["Mainnet", "https://iris-api.circle.com/v1/attestations"], readonly ["Testnet", "https://iris-api-sandbox.circle.com/v1/attestations"]], 1>[Object]
  : never

  - Defined in core/base/src/utils/mapping.ts:324

Generated using TypeDoc